SWOOLEC Loader ext not installed错误提示解决方法

SWOOLEC Loader ext not installed错误提示解决方法

PHP环境报错SWOOLEC loader ext not installed,SWOOLEC loader没有安装导致的,SWOOLEC loader是PHP的一个组件,安装SWOOLEC loader即可解决问题,码笔记分享SWOOLEC loader ext not installed的解决方法:

解决方法SWOOLEC loader ext not installed

  • 报错原因:PHP没有安装SWOOLEC loader这个组件;
  • 解决方法:安装SWOOLEC loader,通过Swoole Compiler 安装向导来安装SWOOLEC loader。

大家的操作系统和PHP版本及环境都不同,使用《Swoole Compiler 安装向导》(类似探针)可以检测当前操作系统系统及PHP版本等信息,给出对应的SWOOLEC loader版本及安装和配置方式。详细步骤如下:

一:Swoole Compiler安装向导

1. 下载Swoole Compiler安装向导

下载地址:http://www.swoole-cloud.com/static/loader_helper/helper.zip

复制Swoole Compiler下载地址在浏览器打开,下载的helper.zip文件解压,可以得到swoole-compiler-loader.php文件。
2. 上传swoole-compiler-loader.php文件到网站根目录
将下载解压的文件swoole-compiler-loader.php上传到网站根目录。
3. 访问swoole-compiler-loader.php文件

地址:http://你的网站域名/swoole-compiler-loader.php

至此《Swoole Compiler安装向导》已操作完毕,如下图:

SWOOLEC Loader ext not installed错误提示解决方法 -1

接下来码笔记分居安装向导一步步安装SWOOLEC loader组件。

二:根据安装向导安装SWOOLEC loader组件

根据安装向导提示的安装步骤,如下:

1. 下载Swoole Loader

码笔记是PHP5.6版本,Linux系统,非线程安全(你的可能会不同)下载,如下图

SWOOLEC Loader ext not installed错误提示解决方法 -2

注意:Swoole Loader组件下载需要注册账号。

2. 安装Swoole Loader

将刚才下载的Swoole Loader扩展文件(swoole_loader.dll或swoole_loader.so)上传到当前PHP的扩展安装目录中:

我的目录为:/www/server/php/56/lib/php/extensions/no-debug-non-zts

把组件上传到对应的PHP扩展安装目录中。

3. 修改php.ini配置

编辑此PHP配置文件:/www/server/php/56/etc/php.ini,在此文件底部结尾处加入如下配置

extension=swoole_loader.so

注意:需要名称和刚才上传到当前PHP的扩展安装目录中的文件名一致。

4. 重启服务器或重启PHP

码笔记来总结一下,解决SWOOLEC loader ext not installed很简单,安装SWOOLEC loader皆可,可以通过Swoole Compiler安装向导来安装。先安装向导,然后根据向导提示的步骤一步步操作即可。

分享到 :